// proppage_csharpsettings.h : header file
//
#if !defined(_PROPPAGE_CSHARPSETTINGS_H_)
#define _PROPPAGE_CSHARPSETTINGS_H_

#include "cmString.h"

class CXmlProjectSettings_CSharp;

/////////////////////////////////////////////////////////////////////////////
// CPropPage_CSharpSettings dialog

class CPropPage_CSharpSettings : public CPropertyPage
{
	DECLARE_DYNCREATE(CPropPage_CSharpSettings)

// Construction
public:
	CPropPage_CSharpSettings();
	~CPropPage_CSharpSettings();

	void SetData(CXmlProjectSettings_CSharp* cSharpSettings);
	void StoreData();

// Dialog Data
	//{{AFX_DATA(CPropPage_CSharpSettings)
	enum { IDD = IDD_PROPERTY_CSHARP };
	CStatic	lblGenerationPath_;
	CStatic	lblClassPrefix_;
	CEdit	txtGenerationPath_;
	CButton	cmdBrowseGenerationPath_;
	CEdit	txtClassPrefix_;
	CButton	chkEnableCSharp_;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPropPage_CSharpSettings)
	public:
	virtual BOOL OnApply();	
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPropPage_CSharpSettings)
	afx_msg void OnChkEnable();
	virtual BOOL OnInitDialog();
	afx_msg void OnCmdBrowsePath();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP();

	void UpdateControlsEnable();
	void DisplaySettings();

	CXmlProjectSettings_CSharp* cSharpSettings_;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(_PROPPAGE_CSHARPSETTINGS_H_)
